Package org.apache.sysds.runtime.frame.data.lib

## Class FrameLibCompress

- java.lang.Object
- - org.apache.sysds.runtime.frame.data.lib.FrameLibCompress

    public class FrameLibCompress
    extends Object

### Constructor Summary

Constructors
`FrameLibCompress()`

### Method Summary

All Methods Static Methods Concrete Methods
`static org.apache.commons.lang3.tuple.Pair<FrameBlock,​FrameCompressionStatistics>` `compress​(FrameBlock in, int k)`
`static org.apache.commons.lang3.tuple.Pair<FrameBlock,​FrameCompressionStatistics>` `compress​(FrameBlock in, int k, WTreeRoot root)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FrameLibCompress

    public FrameLibCompress()

### Method Detail

#### compress

    public static org.apache.commons.lang3.tuple.Pair<FrameBlock,​FrameCompressionStatistics> compress​(FrameBlock in,
                                                                                                            int k)

#### compress

    public static org.apache.commons.lang3.tuple.Pair<FrameBlock,​FrameCompressionStatistics> compress​(FrameBlock in,
                                                                                                            int k,
                                                                                                            WTreeRoot root)